SDL_SetRenderScale(3)

NAME
SDL_SetRenderScale - Set the drawing scale for rendering on the current target.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetRenderScale(SDL_Renderer *renderer, float scaleX, float scaleY);

DESCRIPTION
The drawing coordinates are scaled by the x/y scaling factors before they are used by the renderer. This allows resolution independent drawing with a single coordinate system. If this results in scaling or subpixel drawing by the rendering backend, it will be handled using the appropriate quality hints. For best results use integer scaling factors.

FUNCTION PARAMETERS

renderer
    the rendering context

scaleX
    the horizontal scaling factor

scaleY
    the vertical scaling factor

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetRenderScale(3)